Package org.mariadb.jdbc.plugin

# Interface AuthenticationPluginFactory

All Known Implementing Classes:
  `CachingSha2PasswordPluginFactory`, `ClearPasswordPluginFactory`, `Ed25519PasswordPluginFactory`, `NativePasswordPluginFactory`, `ParsecPasswordPluginFactory`, `SendGssApiAuthPacketFactory`, `SendPamAuthPacketFactory`

public interface AuthenticationPluginFactory
Authentication plugin descriptor

## Method Summary

Modifier and Type
Method
Description
`AuthenticationPlugin`
`initialize(String authenticationData, byte[] seed, Configuration conf, HostAddress hostAddress)`
Plugin initialization.
`default boolean`
`requireSsl()`
Authentication plugin required SSL to be used
`String`
`type()`
Authentication plugin type.

## Method Details

### type

String type()
Authentication plugin type.

Returns:
  authentication plugin type. ex: mysql_native_password

### initialize

AuthenticationPlugin initialize(String authenticationData, byte[] seed, Configuration conf, HostAddress hostAddress)
Plugin initialization.

Parameters:
  `authenticationData` - authentication data (password/token)
  `seed` - server provided seed
  `conf` - Connection options
  `hostAddress` - host address

### requireSsl

default boolean requireSsl()
Authentication plugin required SSL to be used

Returns:
  true if SSL is required